Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 211996 - add www-servers/nginx support to app-admin/webapp-config
Summary: add www-servers/nginx support to app-admin/webapp-config
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Lowest enhancement with 7 votes (vote)
Assignee: Gentoo Web Application Packages Maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-01 16:52 UTC by Leonid Evdokimov
Modified: 2010-12-19 18:32 UTC (History)
17 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch to add nginx to webapp-config (webapp-config.patch,2.05 KB, patch)
2008-03-31 12:57 UTC, Ed Wildgoose
Details | Diff
webapp-config-1.50.16-nginx.patch (webapp-config-1.50.16-nginx.patch,1.62 KB, patch)
2008-12-07 22:39 UTC, steveb
Details | Diff
webapp-config-1.50.16-nginx.patch (webapp-config-1.50.16-nginx.patch,2.03 KB, patch)
2009-02-22 11:02 UTC, steveb
Details | Diff
patch for nginx & gatling (httpd servers) (webapp-config-1.50.16-new-httpds.patch,4.19 KB, patch)
2009-05-10 06:37 UTC, Fernando (likewhoa)
Details | Diff
patch for nginx & gatling (httpd servers) (webapp-config-1.50.16-new-httpds.patch,4.15 KB, patch)
2009-05-10 07:00 UTC, Fernando (likewhoa)
Details | Diff
Revised patch for webapp-config-1.50.16-r1 (webapp-config-1.50.16-r1.patch,2.50 KB, patch)
2009-05-28 16:24 UTC, Fernando (likewhoa)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Leonid Evdokimov 2008-03-01 16:52:06 UTC
It would be nice to see it there.
Comment 1 Jakub Moc (RETIRED) gentoo-dev 2008-03-01 16:55:08 UTC
Could kill aolserver at the same time, removed.
Comment 2 Ed Wildgoose 2008-03-31 12:57:42 UTC
Created attachment 147826 [details, diff]
Patch to add nginx to webapp-config

I am testing nginx in a few vservers and needed support in webapp-config.  Attached is a small patch to add support

Grateful if it could be pushed into an upstream release fairly promptly since it's pretty trivial

Cheers
Comment 3 Ed Wildgoose 2008-05-10 18:55:21 UTC
Bump - please commit trivial patch...
Comment 4 ArtG 2008-08-21 18:11:42 UTC
(In reply to comment #2)

Thanks a lot, works fine
Comment 5 steveb 2008-12-07 22:39:44 UTC
Created attachment 174608 [details, diff]
webapp-config-1.50.16-nginx.patch

Here the patch in his naked form without any lib64 stuff in it. Can be applied to the source before compiling. I reordered the insert of nginx so that the resulting patch only inserts code and does not replace any existing code/line.
Comment 6 Ed Wildgoose 2009-02-11 00:56:09 UTC
Can someone commit this already...

It's trivial, it's annoying that it's not committed and nginx is fairly popular!!
Comment 7 steveb 2009-02-22 11:02:38 UTC
Created attachment 182771 [details, diff]
webapp-config-1.50.16-nginx.patch

Added patching of /etc/vhosts/webapp-config to include "nginx" in the list of available web servers.
Comment 8 Gef 2009-03-22 20:36:21 UTC
Hiw about marking as FIXED this good old one  ?

(for testing purpose, i have just achieved a dev-db/phpmyadmin-3.1.2 installation with www-servers/nginx ; worked flawlessly ; webapp-config is imho a fantastic tool).
Comment 9 Elias Probst 2009-04-12 18:25:10 UTC
I vote for finally closing this bug too... it works well and is IMHO a non-critical change.

Regards,
Elias P.
Comment 10 Fernando (likewhoa) 2009-05-10 06:37:10 UTC
Created attachment 190808 [details, diff]
patch for nginx & gatling (httpd servers)

This patch incorporates what the initial patch did plus it adds support for www-servers/gatling. www-servers/aolserver was removed since it's not longer in the tree.
Comment 11 Fernando (likewhoa) 2009-05-10 07:00:36 UTC
Created attachment 190810 [details, diff]
patch for nginx & gatling (httpd servers)

left out 1 line on last patch that removes aolserver.
Comment 12 Gene 2009-05-28 11:09:07 UTC
The latter patch isn't build cleanly, doesn't apply correctly for me - can't find the second (+) filenames (one by steveb is fine).
I vote for applying and closing this bug already.
Comment 13 Fernando (likewhoa) 2009-05-28 16:24:37 UTC
Created attachment 192728 [details, diff]
Revised patch for webapp-config-1.50.16-r1

This patch is in response to latter comment. This patch was tested on stable webapp-config release and should apply cleanly from package's root folder.
Comment 14 Patrick Palka 2009-08-27 14:55:49 UTC
Please implement this patch.
Comment 15 Carmine Paolino 2009-10-13 11:19:37 UTC
please please please

Comment 16 steveb 2009-10-13 13:15:08 UTC
(In reply to comment #15)
> please please please
> 
Please what? If we wait another bunch of months, then this bug will be here for two years. I think the chance that we will have this bug report here so long is pretty high. That's the way it is. Unfortunately. Anyway. As a Gentoo user you should know how to make a local overlay and make a new revision of webapp-config and add the patch from here to your own ebuild. Just do that and be happy.

Maybe the maintainers of nginx (Konstantin V. Arkhipov <voxus@gentoo.org> or Tobias Heinlein <keytoaster@gentoo.org>) should be addressed regarding nginx and webapp-config? They sure have more weight in Gentoo land then we as users have.
Comment 17 Tim O'Kelly 2009-10-13 21:34:36 UTC
Already available in my overlay:
http://gitorious.org/okelly_overlay/mainline/trees/master/app-admin/webapp-config
There is also other stuff from this bugzilla, I found useful for me.
So welcome :)
Comment 18 Danil Kutkevich 2010-04-06 13:56:25 UTC
(In reply to comment #13)
> Created an attachment (id=192728) [details]
> Revised patch for webapp-config-1.50.16-r1
> 
> This patch is in response to latter comment. This patch was tested on stable
> webapp-config release and should apply cleanly from package's root folder.
> 

Thanks :) works for me
Comment 19 Johan Bergström 2010-07-15 13:51:58 UTC
So, what's the status here?
Comment 20 Stevan Bajić 2010-07-15 14:05:51 UTC
(In reply to comment #19)
> So, what's the status here?
> 
Probably not much. It is lurking here in g.b.o since two years and will probably continue to do so.

Do you have any issues applying the patch to your local overlay? If not then just continue doing that and wait till one of the Gentoo developers finds the time to include that trivial patch to stock webapp-config.
Comment 21 Domen Kožar 2010-08-25 10:50:37 UTC
Added patch in iElectric overlay
Comment 22 Nathan Sullivan 2010-10-04 11:43:36 UTC
This looks good, I agree it should be committed mainline being that nginx is available to all nowadays also...
Comment 23 Rafael Martins gentoo-dev 2010-12-19 18:32:49 UTC
+*webapp-config-1.50.16-r4 (19 Dec 2010)
+
+  19 Dec 2010; Rafael G. Martins <rafaelmartins@gentoo.org>
+  -webapp-config-1.50.16-r3.ebuild, +webapp-config-1.50.16-r4.ebuild,
+  +files/webapp-config-1.50.16-update-servers.patch:
+  Added support to www-servers/{nginx,gatling}. Thanks to Fernando V. (bug
+  #211996)
+